Register

Creates and registers a new profile.

Request Path Parameters

ParametertypeLimitsrequiredDescription
terminalIDString10 characters✓The Paymentology issued terminal ID of the terminal requesting the transaction
emailAddressString✓Unique email address for this profile (only 1 profile allowed per email address)
passwordString✓A user defined password for this profile (only important when authenticating using the Paymentology authentication)
firstNameString1-50 characters✓Profile owner first name
lastNameString1-50 characters✓Profile owner last name
idOrPassportNumberString✓Profile owner official ID document number (requires FICA in some cases)
contactNumberString1-10 characters✓Profile owner contact number
cellphoneNumberString1-10 characters✓Profile owner cellphone number
isCompanyBoolean✓Profile owner is a registered company.; ; Possible values:; ; 0 (false); ; 1 (true)
vatNumberString1-20 characters✓Profile company VAT number
companyNameString1-50 characters✓Profile company name
companyCCNumberString1-20 characters✓Profile company CC number
addressLine1Stringspecial - see description✓This is the first line of the address field which will be printed on a card mailer when required by the client – maximum length is 27 to 60 characters (Manufacturer dependent).; ; The field may not start (first character) with a comma, linefeed character, carriage return character, quotation marks or question mark.
addressLine2Stringspecial - see description✓This is the second line of the address field which will be printed on a card mailer when required by the client – maximum length is 27 to 60 characters (Manufacturer dependent).; ; The field may not start (first character) with a comma, linefeed character, carriage return character, quotation marks or question mark.
cityString✓Profile owner address city (or state)
postalCodeString✓Profile owner address postal code
transactionIDString1-255 characters✓Transaction ID number generated by the calling client
transactionDateDate✓Transaction date generated by the calling client
checksumString✓HMAC-SHA1 hashed signature of the concatenated method name with all argument values using the terminal password as private key
<?xml version="1.0"?>
<methodCall>
    <methodName>Register</methodName>
    <params>
        <param>
            <value>
                <string>ABC1234567</string>
            </value>
        </param>
        <param>
            <value>
                <string>[email protected]</string>
            </value>
        </param>
        <param>
            <value>
                <string>mySecretPassword</string>
            </value>
        </param>
        <param>
            <value>
                <string>Alex</string>
            </value>
        </param>
        <param>
            <value>
                <string>Albon</string>
            </value>
        </param>
        <param>
            <value>
                <string>123456789</string>
            </value>
        </param>
        <param>
            <value>
                <string>5555555555</string>
            </value>
        </param>
        <param>
            <value>
                <string>1</string>
            </value>
        </param>
        <param>
            <value>
                <string>1234567890</string>
            </value>
        </param>
        <param>
            <value>
                <string>Oopsies Ltd</string>
            </value>
        </param>
        <param>
            <value>
                <string>123456789</string>
            </value>
        </param>
        <param>
            <value>
                <string>123 Main St</string>
            </value>
        </param>
        <param>
            <value>
                <string>Suite 200</string>
            </value>
        </param>
        <param>
            <value>
                <string>San Francisco</string>
            </value>
        </param>
        <param>
            <value>
                <string>94107</string>
            </value>
        </param>
        <param>
            <value>
                <string>T987654321</string>
            </value>
        </param>
        <param>
            <value>
                <dateTime.iso8601>2023-11-08T12:44:44</dateTime.iso8601>
            </value>
        </param>
        <param>
            <value>
                <string>3b4c5555e1c1234d8e134a4c0c2c2d444e3d4444</string>
            </value>
        </param>
    </params>
</methodCall>

Response Parameters

ParametertypeDescription
terminalIDStringEcho of incoming value
emailAddressStringEcho of incoming value
firstNameStringEcho of incoming value
lastNameStringEcho of incoming value
idOrPassportStringEcho of incoming value
contactNumberStringEcho of incoming value
cellphoneNumberStringEcho of incoming value
isCompanyStringEcho of incoming value
vatNumberStringEcho of incoming value
companyNameStringEcho of incoming value
companyCCNumberStringEcho of incoming value
addressLine1StringEcho of incoming value
addressLine2StringEcho of incoming value
cityStringEcho of incoming value
postalCodeStringEcho of incoming value
profileNumberStringThe profile number that was created and registered
messageStringProfile awaiting approval
clientTransactionIDStringEcho of incoming value
serverTransactionIDStringTransaction ID generated by Paymentology
resultCodeIntegerStatus code indicating transaction result
resultTextStringText indicating transaction result
<methodResponse>
    <params>
        <param>
            <value>
                <struct>
                    <member>
                        <name>terminalID</name>
                        <value>
                            <string>ABC1234567</string>
                        </value>
                    </member>
                    <member>
                        <name>emailAddress</name>
                        <value>
                            <string>[email protected]</string>
                        </value>
                    </member>
                    <member>
                        <name>firstName</name>
                        <value>
                            <string>Alex</string>
                        </value>
                    </member>
                    <member>
                        <name>lastName</name>
                        <value>
                            <string>Albon</string>
                        </value>
                    </member>
                    <member>
                        <name>idOrPassport</name>
                        <value>
                            <string>123456789</string>
                        </value>
                    </member>
                    <member>
                        <name>contactNumber</name>
                        <value>
                            <string>5555555555</string>
                        </value>
                    </member>
                    <member>
                        <name>cellphoneNumber</name>
                        <value>
                            <string>true</string>
                        </value>
                    </member>
                    <member>
                        <name>isCompany</name>
                        <value>
                            <string>1</string>
                        </value>
                    </member>
                    <member>
                        <name>vatNumber</name>
                        <value>
                            <string>1234567890</string>
                        </value>
                    </member>
                    <member>
                        <name>companyName</name>
                        <value>
                            <string>Oopsies Ltd</string>
                        </value>
                    </member>
                    <member>
                        <name>companyCCNumber</name>
                        <value>
                            <string>123456789</string>
                        </value>
                    </member>
                    <member>
                        <name>addressLine1</name>
                        <value>
                            <string>123 Main St</string>
                        </value>
                    </member>
                    <member>
                        <name>addressLine2</name>
                        <value>
                            <string>Suite 200</string>
                        </value>
                    </member>
                    <member>
                        <name>city</name>
                        <value>
                            <string>San Francisco</string>
                        </value>
                    </member>
                    <member>
                        <name>postalCode</name>
                        <value>
                            <string>94107</string>
                        </value>
                    </member>
                    <member>
                        <name>profileNumber</name>
                        <value>
                            <string>P12345</string>
                        </value>
                    </member>
                    <member>
                        <name>message</name>
                        <value>
                            <string>Profile awaiting approval</string>
                        </value>
                    </member>
                    <member>
                        <name>clientTransactionID</name>
                        <value>
                            <string>T987654321</string>
                        </value>
                    </member>
                    <member>
                        <name>serverTransactionID</name>
                        <value>
                            <string>ST123456789</string>
                        </value>
                    </member>
                    <member>
                        <name>resultCode</name>
                        <value>
                            <int>0</int>
                        </value>
                    </member>
                    <member>
                        <name>resultText</name>
                        <value>
                            <string>Registration successful</string>
                        </value>
                    </member>
                </struct>
            </value>
        </param>
    </params>
</methodResponse>